System.Web 2.0.0.0 System.Collections.ICollection

The interface defines the collection of session items exposed to application code by the class.

The ASP.NET implementation of the interface is the class.

If you create a class derived from the class to store session data, you can either use the class to manage the stored objects or implement the interface on your own collection manager.

If you implement the interface, you must also create a class that inherits the class in order to make use of your implementation to manage session variables.

An implementation must also implement the members of the interface.

Defines the contract for the collection used by ASP.NET session state to manage session.

- Method
  System.Void

  In implementing the method, you should set the property to true to indicate that values in the implementation have been modified.

  Removes all values and keys from the session-state collection.

  2.0.0.0
- Property
  System.Boolean To be added.

  The property is used by the to determine whether the values in an implementation have been modified.

  In implementing the interface, you should initialize the property as false and set the property to true in the implementations of the , , or methods.

  Gets or sets a value indicating whether the collection has been marked as changed.

  2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Collections.Specialized.NameObjectCollectionBase+KeysCollection To be added. To be added.

  Gets a collection of the variable names for all values stored in the collection.

  2.0.0.0
- Method
  System.Void `` To be added.

  In implementing the method, you should set the property to true to indicate values in the implementation have been modified.

  If the implementation does not contain an element with the specified , the collection should remain unchanged and no exception be thrown.

  Deletes an item from the collection.

  2.0.0.0
- Method
  System.Void ``

  In implementing the method, you should set the property to true to indicate values in the implementation have been modified.

  Your implementation of the method should throw an exception if is less than zero or is equal to or greater than .

  Deletes an item at a specified index from the collection.

  The index of the item to remove from the collection. 2.0.0.0